# List all sponsorship policies

Returns a list of your sponsorship policies. The sponsorship policies are returned sorted by creation date, with the most recent sponsorship policies appearing first.

## HTTP Request

`GET /v2/account/sponsorship_policies`

## Query Parameters

* **apikey**

Your Pimlico API key.

* **limit:** optional, default is 100

This specifies a limit on the number of objects to return, ranging between 1 and 100.

* **starting\_after:** optional object ID

A cursor to use in pagination. `starting_after` is an object ID that defines your place in the list. For example, if you make a list request and receive 100 objects, ending with `obj_foo`, your subsequent call can include starting\_after=obj\_foo to fetch the next page of the list.

* **ending\_before:** optional object ID

A cursor to use in pagination. `ending_before` is an object ID that defines your place in the list. For example, if you make a list request and receive 100 objects, starting with `obj_bar`, your subsequent call can include ending\_before=obj\_bar to fetch the previous page of the list.

## Returns

Returns the sponsorship policy object.

## Example Request

```shell
curl -X GET "https://api.pimlico.io/v2/account/sponsorship_policies/sp_tangible_knight?apikey=YOUR_API_KEY"
```

## Example Response

```json
{
  "has_more": true,
  "data": [
    {
      "id": "sp_tangible_knight",
      "policy_name": "Pimlico Example Gas Fund",
      "policy_status": "active",
      "created_at": "2024-05-23T15:23:38Z",
      "start_time": null,
      "end_time": null,
      "chain_ids": {
        "allowlist": [
          10,
          8453,
          34443,
          690,
          7777777
        ]
      },
      "limits": {
        "global": {
          "user_operation_spending": {
            "amount": 10000000,
            "currency": "USD"
          }
        }
      }
    },
    {...},
    {...},
    {...},
    {...}
  ]
}
```

## See more

[Pagination](/references/platform/api/pagination)
